diff -ru hurd-0.0/ChangeLog hurd-0.1/ChangeLog
--- hurd-0.0/ChangeLog	Fri Aug  2 11:36:42 1996
+++ hurd-0.1/ChangeLog	Fri Sep  6 17:03:32 1996
@@ -1,6 +1,99 @@
-Fri Aug  2 11:02:11 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+Fri Sep  6 17:00:23 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* INSTALL: Update to version 0.1.
+	* README: Likewise.
+
+Thu Sep  5 11:04:38 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+	
+	* version.h: New file.
+	* sh-version.sed: New file.
+	* Makefile (DIST_FILES): Add version.h and sh-version.sed.
+
+Wed Sep  4 16:25:24 1996  Miles Bader  <miles@gnu.ai.mit.edu>
+
+	* Makeconf
+	($(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs))):
+	`$(includdir)' --> `$(includedir)'
+
+Wed Sep  4 08:56:04 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* configure.in (asm_syntax): New variable, canonicalized from
+	host_cpu.  AC_SUBST it.
+	* config.make.in (asm_syntax): New variable, from @asm_syntax@.
+
+Sun Sep  1 14:03:20 1996  Miles Bader  <miles@gnu.ai.mit.edu>
+
+	* Makeconf ($(target): %$(target-suffix)): Add dependency on
+	$(BUGADDR), and $(BUGADDR_REF) to the flags.
+	(BUGADDR, BUGADDR_REF): New variables.
+	* Makefile (lib-subdirs): Add libhurdbugaddr.
+	* libhurdbugaddr: New directory.
+	
+Thu Aug 29 14:14:04 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* Makeconf [doinst == one] (install): Don't depend on
+ 	$(installationdir).
+	[doinst==one] ($(installationdir)/$(target)): Do depend on
+ 	$(installationdir).
+	[doinst == many] (install): Don't depend on $(installationdir).
+  	$(addprefix $(installationdir)/,$(targets)): Depend on
+ 	$(installationdir).
+	[makemode == library] (install): Don't depend on $(libdir),
+ 	$(includedir), or $(includedir)/$(installhdrsubdir).
+	[makemode == library] ($(libdir)/$(libname.a)): Depend on
+ 	$(libdir).
+	[makemode == library] ($(libdir)/$(libname).so): Likewise.
+	[makemode == library] $(addprefix
+ 	$(includedir)/$(installhdrsubdir)/,$(installhdrs)): Depend on
+ 	$(includdir)/$(installhdrsubdir)
+	[makemode == library] $(includedir)/$(installhdrsubdir): Depend on
+	$(includedir).
+	[makemode == library] (install-headers): Don't depend on
+	$(includedir)/$(installhdrsubdir) or $(includedir).
+
+	* INSTALL: Tell people to delete Mach's mach_init.h if it got
+	installed. 
+
+Wed Aug 28 11:22:28 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* INSTALL: Say to use `no_deps=t' when installing headers.
+
+Tue Aug 13 17:54:53 1996  Miles Bader  <miles@gnu.ai.mit.edu>
+
+	* Makeconf ($(target)): Add $($@-LDLIBS) $(LDLIBS) to libs.
+
+Tue Aug 13 14:05:54 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* Makeconf (vpath %.defs): Remove reference for mach and device
+	headers. 
+	(mach_defs_names, device_defs,names, mach_defs, device_defs): New
+	variables. 
+	($(mach_defs), $(device_defs)): New rules.
+	* config.make.in (install_prefix, install_includedir): Delete
+	variables. 
+	* configure.in (install_prefix): Delete AC_SUBST.
+
+Mon Aug 12 12:51:03 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* Makeconf: Comment out the lines that cause recursive makes into
+	library subdirs.
+
+Thu Aug  8 13:14:44 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* configure.in: Add AC_SUBST for `install_prefix'.
+	* config.make.in (install_prefix, install_includedir): New
+	variables.	
+	* Makeconf (vpath %.defs): Look for these in install_includedir.
+	
+Wed Aug  7 14:57:55 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
+
+	* Makefile (prog-subdirs): Add `nfsd'.
+
+Tue Aug  6 12:20:37 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
 
 	* Released source version 0.0.
+
+Fri Aug  2 11:02:11 1996  Thomas Bushnell, n/BSG  <thomas@gnu.ai.mit.edu>
 
 	* Makefile (cp-linked-files): Add missing hyphen to rule.
 	(dist): Delete directory named for VERSION, not old var DATE.
diff -ru hurd-0.0/INSTALL hurd-0.1/INSTALL
--- hurd-0.0/INSTALL	Mon Aug  5 11:54:05 1996
+++ hurd-0.1/INSTALL	Fri Sep  6 17:01:49 1996
@@ -1,5 +1,5 @@
 -*- Text -*-
-GNU Hurd 0.0
+GNU Hurd 0.1
 
 This is the Hurd.  Welcome.
 
@@ -19,8 +19,9 @@
 version of the Hurd will interoperate together, then see the
 instructions "Bulding the Hurd by itself" below.
 
-The Hurd version 0.0 is known to work with version 1.93 of the GNU C
-Library.
+The Hurd version 0.1 is known to work with version 1.93 of the GNU C
+Library--but not the normal released copy.  We suggest you use the
+copy distributed with GNU 0.0.
 
 Bug reports for the GNU Hurd should be sent to the mailing list
 `bug-hurd@prep.ai.mit.edu'.  Please do not send requests for
@@ -66,10 +67,13 @@
 3. Do `make install' in <mach4-build>/mig.  ONLY.
 
 4. Do `make install' in <mach4-build>/include.  ONLY.
+   This may have installed an include file called mach_init.h.  If so,
+   delete it; you want to use the one that libc will install, and if
+   this file exists, libc might not install its version.
 
 5. Configure the Hurd with `configure'.
 
-6. In the Hurd directory, type `make install-hdrs'.
+6. In the Hurd directory, type `make install-hdrs no_deps=t'.
 
 7. Configure libc.
 
@@ -88,7 +92,7 @@
 1. `cd' to the directory containing the Hurd's source code and type
    `./configure' to configure the Hurd.
 
-2. Type `make install-hdrs' to install the Hurd's header files.
+2. Type `make install-hdrs no_deps=t' to install the Hurd's header files.
 
 3. Follow the instructions in the GNU C Library for configuring and
    installing GNU libc.
diff -ru hurd-0.0/Makeconf hurd-0.1/Makeconf
--- hurd-0.0/Makeconf	Tue Jul 30 13:55:09 1996
+++ hurd-0.1/Makeconf	Thu Sep  5 10:12:15 1996
@@ -67,7 +67,6 @@
 endif
 CPPFLAGS += -I. $(srcdirinc) -I.. $(top_srcdirinc) -I$(top_srcdir)/include -D_GNU_SOURCE
 CFLAGS += -Wall -g -O3
-
 
 # Local programs:
 MKINSTALLDIRS = $(top_srcdir)/mkinstalldirs
@@ -120,8 +119,11 @@
  endif
 endif
 
+# This is a hack to give all hurd utilities a default bug-reporting
+# address (defined in libhurdbugaddr/bugaddr.c).
+BUGADDR = $(..)libhurdbugaddr/libhurdbugaddr.a
+BUGADDR_REF = -uargp_program_bug_address
 
-
 # Standard targets
 
 .PHONY: all install libs relink clean
@@ -129,14 +131,15 @@
 # Installation
 ifeq ($(doinst),one)
 all: $(target)
-install: $(installationdir)/$(target) $(installationdir)
-$(installationdir)/$(target): $(target)
+install: $(installationdir)/$(target)
+$(installationdir)/$(target): $(target) $(installationdir)
 	$(INSTALL_PROGRAM) $(INSTALL-$<-ops) $< $@
 endif
 
 ifeq ($(doinst),many)
 all: $(targets)
-install: $(addprefix $(installationdir)/,$(targets)) $(installationdir)
+install: $(addprefix $(installationdir)/,$(targets))
+$(addprefix $(installationdir)/,$(targets)): $(installationdir)
 $(addprefix $(installationdir)/,$(targets)): $(installationdir)/%: %
 	$(INSTALL_PROGRAM) $(INSTALL-$<-ops) $< $@
 endif
@@ -145,11 +148,11 @@
 all: libs
 install libs: add-to-librecord
 add-to-librecord: $(targets)
-install: $(addprefix $(libdir)/,$(targets)) $(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)) $(libdir) $(includedir) $(includedir)/$(installhdrsubdir)
+install: $(addprefix $(libdir)/,$(targets)) $(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)) 
 
-install-headers: $(includedir)/$(installhdrsubdir) $(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)) $(includedir)
+install-headers: $(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)) 
 
-$(includedir)/$(installhdrsubdir):
+$(includedir)/$(installhdrsubdir): $(includedir)
 	$(MKINSTALLDIRS) $@
 
 # Arrange to have the headers installed locally anytime we build the library.
@@ -166,12 +169,14 @@
 endif
 libs: $(INSTALLED_LOCAL_HEADERS)
 
-$(libdir)/$(libname).a: $(libname).a
+$(libdir)/$(libname).a: $(libname).a $(libdir)
 	$(INSTALL_DATA) $(libname).a $(libdir)/$(libname).a
 	$(RANLIB) $(libdir)/$(libname).a
-$(libdir)/$(libname).so: $(libname).so
+$(libdir)/$(libname).so: $(libname).so $(libdir)
 	$(INSTALL_DATA) $(libname).so $(libdir)/$(libname).so
 
+$(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)): $(includedir)/$(installhdrsubdir)
+
 $(addprefix $(includedir)/$(installhdrsubdir)/,$(installhdrs)): $(includedir)/$(installhdrsubdir)/%: %
 	$(INSTALL_DATA) $< $@
 
@@ -212,10 +217,11 @@
 # dependencies of other shared objects it encounters.
 rpath := -Wl,-rpath-link=.:$(subst $. ,:,$(dir $(wildcard ../lib*/lib*.so)))
 
-$(target): %$(target-suffix):
-	$(CC) $(rpath) $(CFLAGS) $($@-CFLAGS) $(LDFLAGS) $($@-LDFLAGS) -o $@ \
+$(target): %$(target-suffix): $(BUGADDR)
+	$(CC) $(rpath) $(CFLAGS) $($@-CFLAGS) $(LDFLAGS) $($@-LDFLAGS) $(BUGADDR_REF) \
+	      -o $@ \
 	      '-Wl,-(' $(filter %.o,$^) \
-		       $(foreach lib,$(filter-out %.o,$+),${_libsubst}) \
+		       $(foreach lib,$(filter-out %.o,$+),${_libsubst}) $($@-LDLIBS) $(LDLIBS) \
 	      '-Wl,-)'
 
 ifeq ($(makemode),library)
@@ -292,8 +298,8 @@
 # Building libraries from other directories.  We force both libraries to be
 # built if either is, because it will use the appropriate one even if the other
 # is specified in someone's dependency list.   
-../%.a ../%.so: FORCE
-	$(MAKE) -C $(dir $@) libs
+#../%.a ../%.so: FORCE
+#	$(MAKE) -C $(dir $@) libs
 
 # Tell make where to find other -l libraries that we use
 vpath libutil.% $(libdir)/
@@ -330,9 +336,23 @@
 	| $(MIGCOM) $(MIGCOMUFLAGS) $($*-MIGCOMUFLAGS) \
 		    -user $*User.c -server /dev/null -header $*_U.h
 
-
 # Where to find .defs files.
-vpath %.defs $(top_srcdir)/hurd $(includedir)/mach $(includedir)/device
+vpath %.defs $(top_srcdir)/hurd
+
+# These we want to find in the libc include directory...
+mach_defs_names = bootstrap default_pager default_pager_helper exc mach mach4 \
+	mach_host mach_norma mach_port mach_timer_reply memory_object \
+	memory_object_default norma_task notify
+device_defs_names = dev_forward device device_reply device_request
+
+mach_defs = $(addsuffix .defs,$(mach_defs_names))
+device_defs = $(addsuffix .defs,$(device_defs_names))
+
+$(mach_defs): %.defs:
+	echo '#include <mach/$@>' > $@
+$(device_defs): %.defs:
+	echo '#include <device/$@>' > $@
+
 
 FORCE:
 
diff -ru hurd-0.0/Makefile hurd-0.1/Makefile
--- hurd-0.0/Makefile	Fri Aug  2 11:36:14 1996
+++ hurd-0.1/Makefile	Thu Sep  5 12:16:09 1996
@@ -26,11 +26,11 @@
 
 lib-subdirs = libshouldbeinlibc libihash libiohelp libports libthreads \
 	      libpager libfshelp libdiskfs libtrivfs libps \
-	      libnetfs libpipe libstore libmom
+	      libnetfs libpipe libstore libmom libhurdbugaddr
 prog-subdirs = auth boot exec fstests init \
 	       proc term ufs utils sutils trans ufs-fsck \
 	       devio ufs-utils ext2fs benchmarks pflocal defpager \
-	       login nfs pfinet daemons
+	       login nfs pfinet daemons nfsd
 other-subdirs = hurd doc config release include
 subdirs = $(lib-subdirs) $(prog-subdirs) $(other-subdirs)
 subdirs-nodist =
@@ -40,7 +40,7 @@
 			  $(prog-subdirs))
 DIST_FILES = COPYING Makeconf config.make.in configure.in configure \
 	     hurd.boot build.mk.in build.mkcf.in SETUP \
-	     README NEWS tasks INSTALL INSTALL-cross
+	     README NEWS tasks INSTALL INSTALL-cross version.h sh-version.sed
 
 all: $(addsuffix -all,$(lib-subdirs) $(working-prog-subdirs))
 
